sasl_decode(26 March 2000)

NAME
sasl_decode - Decode data received

SYNOPSIS
#include <sasl.h>

int sasl_decode(sasl_conn_t *conn,
		     const char * input,
                unsigned inputlen,
		     char ** output,
		     unsigned * outputlen);

DESCRIPTION
sasl_decode decodes data received. After succesful authentication this function should be called on all data received. It decodes the data from encrypted or signed form to plain data. If there was no security layer negotiated the output is identical to the input. output is allocated by the library and must be freed by the application. One should not to give sasl_decode more data than the negotiated maxbufsize (see sasl_getprop). Note that sasl_decode can succeed and outputlen can be zero. If this is the case simply wait for more data and call sasl_decode again.

RETURN VALUE
Returns SASL_OK on success. SASL error code on failure.

CONFORMING TO
RFC 2222

SEE ALSO
sasl_encode